/* --------------------------------------------------------- */
/*	SoftMIDI												 */
/* ========================================================= */
/*											(C)2004 t.hara	 */
/* --------------------------------------------------------- */
/*	$Date: 04/03/16 21:57 $ */
/*	$Revision: 2 $ */
/* --------------------------------------------------------- */

#ifdef __cplusplus
DLLPROC "C" {
#endif

#ifdef SOFTMIDI_EXPORTS
#define	DLLPROC	__declspec( dllexport )
#else
#define	DLLPROC	__declspec( dllimport )
#endif

typedef int SOFT_MIDI_ERROR_T;

/* initialize and terminate */
DLLPROC void InitializeSoftMidi( void );
DLLPROC void TerminateSoftMidi( void );

/* action method */
DLLPROC SOFT_MIDI_ERROR_T SetupSoftMidi( int SamplingRate, int Channels, int BitRate, int MaxInstruments, 
		int Reserved );
DLLPROC SOFT_MIDI_ERROR_T LoadSoundFontForSoftMidi( LPCTSTR pcsFileName );
DLLPROC SOFT_MIDI_ERROR_T LoadMusicForSoftMidi( LPCTSTR pcsFileName );
DLLPROC SOFT_MIDI_ERROR_T PlayMusicForSoftMidi( void );
DLLPROC SOFT_MIDI_ERROR_T StopMusicForSoftMidi( void );
DLLPROC SOFT_MIDI_ERROR_T SeekMusicForSoftMidi( int Position );

/* property operation method */
DLLPROC int GetVersionFromSoftMidi( void );
DLLPROC LPCTSTR GetErrorMessageFromSoftMidi( SOFT_MIDI_ERROR_T ErrorCode );
DLLPROC int GetMusicLengthFromSoftMidi( void );
DLLPROC int GetCurrentMusicPositionFromSoftMidi( void );
DLLPROC int IsPlayingSoftMidi( void );

#ifdef __cplusplus
};
#endif
